---
pageClass: is-wide-page
---

# ParameterSetValueResponse (UORB message)

ParameterSetValueResponse : Response to a set value request by either primary or secondary.

**TOPICS:** parameter_set_value_response parameter_remote_set_value_response parameter_primary_set_value_response

## Fields

| Name              | Type     | Unit [Frame] | Range/Enum | Description |
| ----------------- | -------- | ------------ | ---------- | ----------- |
| timestamp         | `uint64` |              |            |
| request_timestamp | `uint64` |              |            |
| parameter_index   | `uint16` |              |            |

## Constants

| Name                                            | Type    | Value | Description |
| ----------------------------------------------- | ------- | ----- | ----------- |
| <a id="#ORB_QUEUE_LENGTH"></a> ORB_QUEUE_LENGTH | `uint8` | 4     |

## Source Message

[Source file (GitHub)](https://github.com/PX4/PX4-Autopilot/blob/main/msg/ParameterSetValueResponse.msg)

::: details Click here to see original file

```c
# ParameterSetValueResponse : Response to a set value request by either primary or secondary

uint64 timestamp
uint64 request_timestamp
uint16 parameter_index

uint8 ORB_QUEUE_LENGTH = 4

# TOPICS parameter_set_value_response parameter_remote_set_value_response parameter_primary_set_value_response
```

:::
